# CloudCredentials Data Type

Properties
name | data type | description
--- | --- | ---
secretKey | string |
attributes | map of object |
cloudProviderName | string |
accessKeyId | string |
##### Properties inherited from OwnedObject
timestamp | number |
id | string |
owner | string |

Example

    {
      "secretKey" : "7A7vo19ffdfa4SAsA6gsF5Fgbfb5rtwY6hBxtYt12",
      "attributes" : {
        "property1" : { },
        "property2" : { }
      },
      "cloudProviderName" : "ec2",
      "accessKeyId" : "AKIKIQY9K1ZUQ6M7YBSQ",
      "timestamp" : 12345,
      "id" : "58e3946e0fb4f562d84ba1ad",
      "owner" : "user1"
    }